#import "queries/VirtualDirectoryParentContentFragment.graphql"

query EditVirtualDirectoryPage(
    $domainNodeId: ID!,
    $path: String!,
) {
    domain: node(id: $domainNodeId) {
        ... on Domain {
            id
            baseDomain {
                id
            }
            webScriptingSettings {
                asp
            }
            hosting {
                virtualDirectory (path: $path) {
                    key
                    parent {
                        key
                        ...VirtualDirectoryParentContentFragment
                    }
                    properties {
                        isRoot
                        isEditable
                        name
                        path
                        accessSource
                        accessRead
                        accessWrite
                        enableDirBrowsing
                        dontLog
                        appCreate
                        scriptExecute
                        aspEnableParentPaths
                        aspExecuteInMTA
                        authAnonymous
                        authNTLM
                        requireSSL
                        aspBufferingLimit
                        aspBufferingLimitInherited
                        aspBufferingLimitDefault
                        aspMaxRequestEntityAllowed
                        aspMaxRequestEntityAllowedInherited
                        aspMaxRequestEntityAllowedDefault
                        aspEnableServerDebug
                        aspEnableServerDebugInherited
                        aspEnableServerDebugDefault
                        aspEnableClientDebug
                        aspEnableClientDebugInherited
                        aspEnableClientDebugDefault
                        enableDefaultDoc
                        defaultDocs
                    }
                }
            }
        }
    }
}
